package com.kym.service;

import com.kym.entity.DailyStat;
import com.kym.entity.common.PageBean;
import com.kym.entity.queryParams.DailyStatQueryParam;
import com.kym.entity.vo.DailyStatSummaryVo;
import com.kym.entity.vo.DailyStatVo;
import com.kym.service.mybatisplus.MyBaseService;

/**
 * 日统计表 服务类
 *
 * @author skyline
 * @since 2025-02-19
 */
public interface DailyStatService extends MyBaseService<DailyStat> {

    PageBean<DailyStatVo> listDailyStat(DailyStatQueryParam params);

    void syncDailyStat(String statDate);

    void syncDailyStatBatch(String startDate, String endDate);

    DailyStatSummaryVo aggregateDailyStat(DailyStatQueryParam params);
}
